{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://confluence.requirementyogi.com","description":"Generated server url"}],"tags":[{"name":"requirement-resource","description":"This resource is deprecated and will be removed in a future version.\n Use {@link RequirementController RequirementController} instead for new implementations."},{"name":"feature-usage-resource","description":"Logs the usage of front-end resources, such as displaying a tab"},{"name":"confluence-user-resource","description":"Internal use only for forge apps"},{"name":"confluence-search-resource","description":"Internal use only for forge apps"}],"paths":{"/rest/variants/{id}":{"get":{"tags":["variant-resource"],"summary":"Returns the variant corresponding to the variantId.","description":"Returns the variant corresponding to the variantId.\n If variantId is null, it returns the current variant.\n If variantId is 'current', it returns the current variant.","operationId":"getById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}},"deprecated":true},"put":{"tags":["variant-resource"],"summary":"Updates a variant, if variant is valid, and if user is a space administrator","description":"Updates a variant, if variant is valid, and if user is a space administrator","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}},"deprecated":true},"delete":{"tags":["variant-resource"],"summary":"Soft deletes a variant if user is a space administrator","description":"Soft deletes a variant if user is a space administrator","operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"deprecated":true}},"/rest/v2/variant/{id}":{"get":{"tags":["variant-resource-v-2"],"operationId":"findVariant","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}},"put":{"tags":["variant-resource-v-2"],"summary":"Updates an entity by id","description":"Updates an entity by id","operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}},"delete":{"tags":["variant-resource-v-2"],"summary":"Deletes an entity by id","description":"Deletes an entity by id","operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/v2/transformation-template/{id}":{"put":{"tags":["transformation-template-resource-v-2"],"summary":"Updates an entity by id","description":"Updates an entity by id","operationId":"update_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTransformationTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTransformationTemplate"}}}}}},"delete":{"tags":["transformation-template-resource-v-2"],"summary":"Deletes an entity by id","description":"Deletes an entity by id","operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/v2/configuration-macro/{id}":{"get":{"tags":["configuration-macro-resource"],"operationId":"findConfigurationMacro","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfigurationMacro"}}}}}},"put":{"tags":["configuration-macro-resource"],"summary":"Updates an entity by id","description":"Updates an entity by id","operationId":"update_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfigurationMacro"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfigurationMacro"}}}}}},"delete":{"tags":["configuration-macro-resource"],"summary":"Deletes an entity by id","description":"Deletes an entity by id","operationId":"delete_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/scroll-variants/all":{"put":{"tags":["scroll-documents-variant-resource"],"operationId":"updateOrCreateAll","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOVariant"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOUpdateOrCreateAllResult"}}}}}}},"/rest/saved-matrices/{id}":{"get":{"tags":["saved-matrix-resource"],"summary":"Finds a saved matrix by its identifier.","description":"Finds a saved matrix by its identifier.","operationId":"findSavedMatrix","parameters":[{"name":"id","in":"path","description":"the identifier of the saved matrix","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the saved matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSavedMatrix"}}}}}},"put":{"tags":["saved-matrix-resource"],"summary":"Updates a saved matrix.","description":"Updates a saved matrix.","operationId":"updateSavedMatrix","parameters":[{"name":"id","in":"path","description":"the identifier of the saved matrix","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the updated saved matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSavedMatrix"}}},"required":true},"responses":{"200":{"description":"the updated saved matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSavedMatrix"}}}}}},"delete":{"tags":["saved-matrix-resource"],"summary":"Deletes a saved matrix","description":"Deletes a saved matrix","operationId":"deleteSavedMatrix","parameters":[{"name":"id","in":"path","description":"the identifier of the saved matrix","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/saved-matrices/{id}/restore":{"put":{"tags":["saved-matrix-resource"],"summary":"Restores a deleted saved matrix.","description":"Restores a deleted saved matrix.","operationId":"restoreSavedMatrix","parameters":[{"name":"id","in":"path","description":"the identifier of the saved matrix","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/rules/{id}":{"get":{"tags":["rule-resource"],"summary":"Finds a rule.","description":"Finds a rule.","operationId":"findRule","parameters":[{"name":"id","in":"path","description":"the rule identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","description":"the space key of the rule","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"the rule, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORule"}}}}}},"put":{"tags":["rule-resource"],"summary":"Updates a rule","description":"Updates a rule","operationId":"updateRule","parameters":[{"name":"id","in":"path","description":"the rule identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the updated rule","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORule"}}},"required":true},"responses":{"200":{"description":"the updated rule","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORule"}}}}}},"delete":{"tags":["rule-resource"],"summary":"Deletes a rule.","description":"Deletes a rule.","operationId":"deleteRule","parameters":[{"name":"id","in":"path","description":"the rule identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","description":"the space key of the rule","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/requirements/{requirementId}/external-properties":{"put":{"tags":["requirement-external-property-controller"],"summary":"Updates an external property for a requirement in a Confluence space.","description":"Updates an external property for a requirement in a Confluence space.","operationId":"updateExternalProperty","parameters":[{"name":"requirementId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the DTOExternalProperty object containing the property data to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalProperty"}}},"required":true},"responses":{"200":{"description":"the updated DTOExternalProperty","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalProperty"}}}}}}},"/rest/requirement/{spaceKey}/{key}/external-properties/":{"put":{"tags":["requirement-external-property-resource"],"summary":"Updates an external property for a requirement in a Confluence space.","description":"Updates an external property for a requirement in a Confluence space.","operationId":"updateProperty","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}},{"name":"variantId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalProperty"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOExternalProperty"}}}}},"deprecated":true}},"/rest/requirement-types/{id}":{"get":{"tags":["requirement-type-controller"],"summary":"Finds a requirement type.","description":"Finds a requirement type.","operationId":"findRequirementType","parameters":[{"name":"id","in":"path","description":"the identifier of the requirement type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the requirement type, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementType"}}}}}},"put":{"tags":["requirement-type-controller"],"summary":"Updates a requirement type.","description":"Updates a requirement type.","operationId":"updateRequirementType","parameters":[{"name":"id","in":"path","description":"the identifier of the requirement type","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to update the requirement type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementTypeRequest"}}},"required":true},"responses":{"200":{"description":"the updated requirement type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementType"}}}}}},"delete":{"tags":["requirement-type-controller"],"summary":"Deletes a requirement type.","description":"Deletes a requirement type.","operationId":"deleteRequirementType","parameters":[{"name":"id","in":"path","description":"the identifier of the requirement type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/queue-job/rules":{"put":{"tags":["queue-job-resource"],"summary":"Finds the latest execution job of a given list of rules.","description":"Finds the latest execution job of a given list of rules.","operationId":"getRuleJobs","parameters":[{"name":"spaceKey","in":"query","description":"the space key","required":true,"schema":{"minLength":1,"type":"string"}}],"requestBody":{"description":"the list of rule identifiers","content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"the list of execution jobs","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}}},"/rest/pages/{contentId}":{"get":{"tags":["page-resource"],"operationId":"getPage","parameters":[{"name":"contentId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOPage"}}}}}},"put":{"tags":["page-resource"],"summary":"Updates the existing page","description":"Updates the existing page","operationId":"updatePage_unused","parameters":[{"name":"contentId","in":"path","required":true,"deprecated":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPage"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOPage"}}}}}}},"/rest/pages/proxy":{"get":{"tags":["page-resource"],"operationId":"getConfluencePages","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"spaceId","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","enum":["id","-id","created-date","-created-date","modified-date","-modified-date","title","-title","unknown_default_open_api"]}},{"name":"status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"title","in":"query","required":false,"schema":{"type":"string"}},{"name":"bodyFormat","in":"query","required":false,"schema":{"type":"string","default":"atlas_doc_format"}},{"name":"subtype","in":"query","required":false,"schema":{"type":"string"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiEntityResultPage"}}}}}},"put":{"tags":["page-resource"],"operationId":"updateConfluencePage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePageRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePage200Response"}}}}}},"post":{"tags":["page-resource"],"operationId":"createConfluencePage","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePageRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePage200Response"}}}}}}},"/rest/key-suggestions/{id}":{"put":{"tags":["key-suggestion-resource"],"summary":"Updates an entity by id","description":"Updates an entity by id","operationId":"update_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestion"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestion"}}}}}},"delete":{"tags":["key-suggestion-resource"],"summary":"Deletes an entity by id","description":"Deletes an entity by id","operationId":"delete_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/key-suggestions/{id}/reset":{"put":{"tags":["key-suggestion-resource"],"summary":"Resets a given key suggestion.","description":"Resets a given key suggestion.","operationId":"reset","parameters":[{"name":"id","in":"path","required":true,"schema":{"minimum":0,"type":"integer","format":"int64"}}],"requestBody":{"description":"the request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestionResetParams"}}},"required":true},"responses":{"200":{"description":"the updated key suggestion","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestion"}}}}}}},"/rest/external-properties":{"get":{"tags":["external-property-resource"],"operationId":"getExternalPropertyMetadataList","parameters":[{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"filterPropertyName","in":"query","required":false,"schema":{"type":"string"}},{"name":"filterDataType","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["STRING","INTEGER","FLOAT","BOOLEAN","ENUM"]}}},{"name":"exactMatch","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOExternalPropertyMetadataWithUsage"}}}}}},"put":{"tags":["external-property-resource"],"operationId":"updateExternalPropertyMetadata","parameters":[{"name":"oldName","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadata"}}}}}},"post":{"tags":["external-property-resource"],"operationId":"createExternalPropertyMetadata","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadata"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyMetadata"}}}}}}},"/rest/baselines/{id}":{"get":{"tags":["baseline-controller"],"summary":"Retrieves a baseline by identifier.","description":"Retrieves a baseline by identifier.","operationId":"getBaseline","parameters":[{"name":"id","in":"path","description":"the identifier of the baseline to retrieve","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the retrieved baseline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}},"put":{"tags":["baseline-controller"],"summary":"Updates a baseline.","description":"Updates a baseline.","operationId":"updateBaseline","parameters":[{"name":"id","in":"path","description":"the identifier of the baseline to update","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request body containing the updated baseline details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"the updated baseline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}},"delete":{"tags":["baseline-controller"],"summary":"Deletes a baseline specified by its ID.","description":"Deletes a baseline specified by its ID. If the baseline is in draft status, it is removed\n immediately. Otherwise, a soft deletion process is initiated for baselines containing data,\n requiring administrative permissions on the associated space.","operationId":"deleteBaseline","parameters":[{"name":"id","in":"path","description":"the unique identifier of the baseline to be deleted","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/applink":{"put":{"tags":["applink-resource"],"operationId":"updateLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplinkPayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}},"post":{"tags":["applink-resource"],"operationId":"createLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApplinkPayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/rest/admin/restore":{"put":{"tags":["backup-resource"],"operationId":"restore","responses":{"200":{"description":"OK"}}}},"/rest/admin/queue-job/{jobId}":{"get":{"tags":["admin-queue-job-resource"],"summary":"Finds a job with a given identifier.","description":"Finds a job with a given identifier.\n This endpoint can only be used by administrators.","operationId":"getJob","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the job, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}},"put":{"tags":["admin-queue-job-resource"],"summary":"Reruns a job, the user should be admin, if the job had the status FAILED, and it succeeded we remove the old error message.","description":"Reruns a job, the user should be admin, if the job had the status FAILED, and it succeeded we remove the old error message.","operationId":"runJob","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/migrations/notification":{"get":{"tags":["migration-resource"],"operationId":"getNotifications","parameters":[{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"migrationId","in":"query","required":false,"schema":{"type":"string"}},{"name":"severity","in":"query","required":false,"schema":{"type":"string"}},{"name":"resolved","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOMigrationNotification"}}}}}},"put":{"tags":["migration-resource"],"operationId":"updateNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}}}}},"post":{"tags":["migration-resource"],"operationId":"createNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotificationCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}}}}}},"/rest/admin/migrations/notification/toggle/{notificationId}":{"put":{"tags":["migration-resource"],"operationId":"toggleNotification","parameters":[{"name":"notificationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}}}}}},"/rest/admin/migrations/notification/resolve-all":{"put":{"tags":["migration-resource"],"operationId":"resolveAll","parameters":[{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"severity","in":"query","required":false,"schema":{"type":"string"}},{"name":"migrationId","in":"query","required":false,"schema":{"type":"string"}},{"name":"resolved","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/configuration/static-macros":{"put":{"tags":["admin-resource"],"operationId":"updateStaticMacros","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StaticMacros"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/admin/configuration/migration":{"put":{"tags":["admin-resource"],"operationId":"updateMigration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Migration"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/admin/configuration/installation-checklist":{"put":{"tags":["admin-resource"],"operationId":"updateConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationChecklistStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/admin/configuration/ai":{"put":{"tags":["admin-resource"],"operationId":"updateAIIntegration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AIIntegration"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/variants":{"get":{"tags":["variant-resource"],"summary":"Returns the list of variants for the given space where the user has the permission to VIEW\n ","description":"Returns the list of variants for the given space where the user has the permission to VIEW\n <p>\n Note: there should be always at least 1: the Current (But this does not create it... maybe later?)","operationId":"list","parameters":[{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}},{"name":"key","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":10}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"filterName","in":"query","required":false,"schema":{"type":"string"}},{"name":"includeBaselines","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}}}},"deprecated":true},"post":{"tags":["variant-resource"],"summary":"Creates a variant, if variant is valid, and if user is a space administrator","description":"Creates a variant, if variant is valid, and if user is a space administrator","operationId":"create","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}},"deprecated":true}},"/rest/variants/count/{spaceKey}":{"post":{"tags":["variant-resource"],"summary":"Returns a map of variantId / number of requirements","description":"Returns a map of variantId / number of requirements","operationId":"countRequirementsByVariant","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}}},"deprecated":true}},"/rest/v2/variant":{"post":{"tags":["variant-resource-v-2"],"summary":"Creates an entity","description":"Creates an entity","operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}}},"/rest/v2/variant/search":{"post":{"tags":["variant-resource-v-2"],"summary":"Lists entities with pagination and filtering","description":"Lists entities with pagination and filtering","operationId":"search","parameters":[{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}}}}}},"/rest/v2/variant/count/{spaceKey}":{"post":{"tags":["variant-resource-v-2"],"summary":"Returns a map of variantId / number of requirements","description":"Returns a map of variantId / number of requirements","operationId":"countRequirementsByVariant_1","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}}}}}},"/rest/v2/transformation-template":{"post":{"tags":["transformation-template-resource-v-2"],"summary":"Creates an entity","description":"Creates an entity","operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTransformationTemplate"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTransformationTemplate"}}}}}}},"/rest/v2/transformation-template/search":{"post":{"tags":["transformation-template-resource-v-2"],"summary":"Lists entities with pagination and filtering","description":"Lists entities with pagination and filtering","operationId":"search_1","parameters":[{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTransformationTemplate"}}}}}}},"/rest/v2/configuration-macro":{"post":{"tags":["configuration-macro-resource"],"summary":"Creates an entity","description":"Creates an entity","operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfigurationMacro"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfigurationMacro"}}}}}}},"/rest/v2/configuration-macro/search":{"post":{"tags":["configuration-macro-resource"],"summary":"Lists entities with pagination and filtering","description":"Lists entities with pagination and filtering","operationId":"search_2","parameters":[{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOConfigurationMacro"}}}}}}},"/rest/traceability/{spaceKey}":{"post":{"tags":["traceability-matrix-resource"],"summary":"Generates a traceability matrix.","description":"Generates a traceability matrix.","operationId":"generateTraceabilityMatrix","parameters":[{"name":"spaceKey","in":"path","description":"the space key","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the request to generate the traceability matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTraceabilityMatrixGenerateRequest"}}},"required":true},"responses":{"200":{"description":"the generated traceability matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTraceabilityMatrixResult"}}}}}}},"/rest/traceability/{spaceKey}/export":{"post":{"tags":["traceability-matrix-resource"],"summary":"Exports a traceability matrix to an Excel file.","description":"Exports a traceability matrix to an Excel file.","operationId":"exportTraceabilityMatrix","parameters":[{"name":"spaceKey","in":"path","description":"the space key","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the request to export the traceability matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTraceabilityMatrixExportRequest"}}},"required":true},"responses":{"200":{"description":"the Excel file","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}}}}},"/rest/traceability/{spaceKey}/exportForForge":{"post":{"tags":["traceability-matrix-resource"],"summary":"Creates an asynchronous task to export a traceability matrix to an Excel file.","description":"Creates an asynchronous task to export a traceability matrix to an Excel file.","operationId":"exportForForge","parameters":[{"name":"spaceKey","in":"path","description":"the space key","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the request to export the traceability matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTraceabilityMatrixExportRequest"}}},"required":true},"responses":{"200":{"description":"the created queue job","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}},"/rest/testing-integrations/zephyr-scale/test-cases":{"post":{"tags":["zephyr-scale-test-resource"],"summary":"Fetches all test cases linked to the issues, their status, and the last execution with its status.","description":"Fetches all test cases linked to the issues, their status, and the last execution with its status.","operationId":"getTestCasesForIssue","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOGetTestCasesForIssueRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOZephyrTestOverview"}}}}}}},"/rest/saved-matrices":{"post":{"tags":["saved-matrix-resource"],"summary":"Creates a saved matrix.","description":"Creates a saved matrix.","operationId":"createSavedMatrix","requestBody":{"description":"the saved matrix to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSavedMatrix"}}},"required":true},"responses":{"200":{"description":"the created saved matrix","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSavedMatrix"}}}}}}},"/rest/saved-matrices/search":{"post":{"tags":["saved-matrix-resource"],"summary":"Finds all saved matrices.","description":"Finds all saved matrices.","operationId":"findAllSavedMatrices","parameters":[{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"description":"the search filters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"description":"the list of saved matrices","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOSavedMatrix"}}}}}}},"/rest/samples":{"post":{"tags":["create-sample-resource"],"operationId":"createSample","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCreateSampleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCreateSampleResponse"}}}}}}},"/rest/rules":{"get":{"tags":["rule-resource"],"summary":"Finds all rules.","description":"Finds all rules.","operationId":"findAllRules","parameters":[{"name":"spaceKey","in":"query","description":"the key of the space on which to search","required":false,"schema":{"type":"string"}},{"name":"includeGlobal","in":"query","description":"whether to include global rules","required":false,"schema":{"type":"boolean","default":false}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"the search results","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORule"}}}}}},"post":{"tags":["rule-resource"],"summary":"Creates a rule.","description":"Creates a rule.","operationId":"createRule","requestBody":{"description":"the rule to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORule"}}},"required":true},"responses":{"201":{"description":"the created rule","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORule"}}}}}}},"/rest/rules/{id}/apply":{"post":{"tags":["rule-resource"],"summary":"Creates a job to apply a rule on a given space.","description":"Creates a job to apply a rule on a given space.","operationId":"applyRuleOnSpace","parameters":[{"name":"id","in":"path","description":"the rule identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the container identifier","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOContainerId"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/rules/apply":{"post":{"tags":["rule-resource"],"summary":"Creates a job to apply all rules on a given space.","description":"Creates a job to apply all rules on a given space.","operationId":"applyRulesOnSpace","requestBody":{"description":"the container identifier","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOContainerId"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/requirements/rename":{"post":{"tags":["requirement-renaming-controller"],"summary":"Endpoint to rename requirements based on selection criteria.","description":"Endpoint to rename requirements based on selection criteria.\n Replaces the first occurrence of actualPrefix with newPrefix and\n last occurrence of actualSuffix with newSuffix in the requirement key.","operationId":"renameRequirements","requestBody":{"description":"the selection criteria and renaming parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/rest/requirements/rename/validate":{"post":{"tags":["requirement-renaming-controller"],"operationId":"validateRename","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConflictedRequirementKeyResponse"}}}}}}},"/rest/requirements/rename/suggest":{"post":{"tags":["requirement-renaming-controller"],"summary":"Gives a suggestion on the rename of requirements by giving common prefixes and suffixes.","description":"Gives a suggestion on the rename of requirements by giving common prefixes and suffixes.","operationId":"getRenameSuggestion","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORenameSuggestionResult"}}}}}}},"/rest/requirements/":{"post":{"tags":["requirement-controller"],"operationId":"createRequirements","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementImport"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequirementId"}}}}}}}},"/rest/requirement/{spaceKey}/":{"post":{"tags":["requirement-resource"],"summary":"Create multiple requirements\n this endpoint is deprecated, use {@link RequirementController#createRequirements(String, List) RequirementController#createRequirements(String, List)} instead.","description":"Create multiple requirements\n this endpoint is deprecated, use {@link RequirementController#createRequirements(String, List) RequirementController#createRequirements(String, List)} instead.","operationId":"createRequirements_1","parameters":[{"name":"spaceKey","in":"path","description":"the space key of the requirements to create","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the requirements definition to create","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementImport"}}}},"required":true},"responses":{"200":{"description":"the list of the created requirements","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequirementId"}}}}}},"deprecated":true}},"/rest/requirement-types":{"get":{"tags":["requirement-type-controller"],"summary":"Finds all requirement types.","description":"Finds all requirement types.","operationId":"findAllRequirementTypes","parameters":[{"name":"spaceKey","in":"query","description":"the space key (null to find global requirement types)","required":false,"schema":{"type":"string"}},{"name":"containerId","in":"query","description":"the container ID (null for global requirement types)","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"search","in":"query","description":"filter the results based on both their name and pattern","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"filter the results based on their name","required":false,"schema":{"type":"string"}},{"name":"pattern","in":"query","description":"filter the results based on their pattern","required":false,"schema":{"type":"string"}},{"name":"requirementKey","in":"query","description":"filter the results matching a given requirement key","required":false,"schema":{"type":"string"}},{"name":"ids","in":"query","description":"filter the results based on their identifier","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"exactMatch","in":"query","description":"whether to only return results that exactly match the search filters","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeGlobal","in":"query","description":"whether to include global requirement types","required":false,"schema":{"type":"boolean","default":false}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"a page of requirement types","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirementType"}}}}}},"post":{"tags":["requirement-type-controller"],"summary":"Creates a requirement type.","description":"Creates a requirement type.","operationId":"createRequirementType","parameters":[{"name":"spaceKey","in":"query","description":"the space key (null to create a global requirement type)","required":false,"schema":{"type":"string"}}],"requestBody":{"description":"the request to create a requirement type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementTypeRequest"}}},"required":true},"responses":{"201":{"description":"the created requirement type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementType"}}}}}}},"/rest/requirement-types/{id}/validate":{"post":{"tags":["requirement-type-controller"],"summary":"Validates a requirement type.","description":"Validates a requirement type.","operationId":"validateRequirementType","parameters":[{"name":"id","in":"path","description":"the identifier of the requirement type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/requirement-types/realign":{"post":{"tags":["requirement-type-controller"],"summary":"Realigns the tables in a given page based on the existing requirement types.","description":"Realigns the tables in a given page based on the existing requirement types.","operationId":"realignDocumentFromType","requestBody":{"description":"the request to realign the page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORealignDocumentRequest"}}},"required":true},"responses":{"200":{"description":"the updated page content","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORealignDocumentResponse"}}}}}}},"/rest/pages/{contentId}/synchronize":{"post":{"tags":["page-resource"],"summary":"Returns the page (it is created if not exist, with default variant)","description":"Returns the page (it is created if not exist, with default variant)","operationId":"synchronizePage","parameters":[{"name":"contentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}},{"name":"spaceId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOPage"}}}}}}},"/rest/macros/static-content/bulk":{"post":{"tags":["static-macro-controller"],"summary":"Renders and stores the static content of multiple static macros defined on a page.","description":"Renders and stores the static content of multiple static macros defined on a page.","operationId":"bulkCreateMacroStaticContent","requestBody":{"description":"the bulk request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMacroBulkStaticRenderRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/macros/link/static-content":{"post":{"tags":["static-macro-controller"],"summary":"Renders and stores the static content of a link macro.","description":"Renders and stores the static content of a link macro.","operationId":"createLinkMacroStaticContent","requestBody":{"description":"the request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOLinkMacroStaticRenderRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/macros/definition/static-content":{"post":{"tags":["static-macro-controller"],"summary":"Renders and stores the static content of a definition macro.","description":"Renders and stores the static content of a definition macro.","operationId":"createDefinitionMacroStaticContent","requestBody":{"description":"the request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTODefinitionMacroStaticRenderRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/linear-document/{spaceKey}/{macroConfigId}":{"post":{"tags":["linear-document-resource"],"summary":"Realign a linear document with the given macro configuration","description":"Realign a linear document with the given macro configuration.\n <p>\n The realignment return an object containing the titles from the linear document\n realigned with the macro configuration and the unmatched titles (including the\n modified and deleted titles).","operationId":"realignDocument","parameters":[{"name":"spaceKey","in":"path","description":"The space key of the page.","required":true,"schema":{"type":"string"}},{"name":"macroConfigId","in":"path","description":"The id of the macro configuration to use for the realignment.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"The page payload which contains the page information.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagePayload"}}},"required":true},"responses":{"200":{"description":"The realignment result (document titles and unmatched titles).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinearDocumentRealignResult"}}}}}}},"/rest/linear-document/{spaceKey}/":{"post":{"tags":["linear-document-resource"],"summary":"Realign a linear document with the given macro configuration","description":"Realign a linear document with the given macro configuration.\n <p>\n The realignment return an object containing the titles from the linear document\n realigned with the macro configuration and the unmatched titles (including the\n modified and deleted titles).","operationId":"realignDocument_1","parameters":[{"name":"spaceKey","in":"path","description":"The space key of the page.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The page payload which contains the page information.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagePayload"}}},"required":true},"responses":{"200":{"description":"The realignment result (document titles and unmatched titles).","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinearDocumentRealignResult"}}}}}}},"/rest/key-suggestions":{"post":{"tags":["key-suggestion-resource"],"summary":"Creates an entity","description":"Creates an entity","operationId":"create_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestion"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestion"}}}}}}},"/rest/key-suggestions/suggest":{"post":{"tags":["key-suggestion-resource"],"summary":"Suggests the next requirement keys for a given space and page.","description":"Suggests the next requirement keys for a given space and page.","operationId":"suggestKeysForPage","requestBody":{"description":"the key suggestion request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestionRequest"}}},"required":true},"responses":{"200":{"description":"the list of key suggestions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestionResults"}}}}}}},"/rest/key-suggestions/search":{"post":{"tags":["key-suggestion-resource"],"summary":"Searches key suggestions.","description":"Searches key suggestions.","operationId":"search_3","parameters":[{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"description":"the search filters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"description":"the list of key suggestions matching the search criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOKeySuggestion"}}}}}}},"/rest/key-suggestions/bulk-suggest":{"post":{"tags":["key-suggestion-resource"],"summary":"Suggests multiple requirement keys in bulk","description":"Suggests multiple requirement keys in bulk.\n <p>\n Note: The order of the returned requirement keys is important.\n </p>","operationId":"bulkSuggest","requestBody":{"description":"the key suggestion bulk request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOKeySuggestionBulkRequest"}}},"required":true},"responses":{"200":{"description":"the list of suggested requirement keys","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultString"}}}}}}},"/rest/jira/{jiraApplicationId}/issues":{"post":{"tags":["jira-issue-resource"],"summary":"Creates a Jira issue.","description":"Creates a Jira issue.","operationId":"createIssue","parameters":[{"name":"jiraApplicationId","in":"path","description":"the application identifier of the Jira instance","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request to create the Jira issue","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOJiraIssueCreateRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatedIssue"}}}}}}},"/rest/indexing/{spaceKey}/updated_all":{"post":{"tags":["indexing-resource"],"summary":"Re-indexes multiple Confluence pages.","description":"Re-indexes multiple Confluence pages.","operationId":"onPagesUpdated","parameters":[{"name":"spaceKey","in":"path","description":"the space key of the pages","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the pages to re-index","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagesToIndex"}}},"required":true},"responses":{"200":{"description":"the indexing result","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ReindexPages200Response"}}}}}}},"/rest/indexing/{spaceKey}/updated":{"post":{"tags":["indexing-resource"],"summary":"Re-indexes a Confluence page.","description":"Re-indexes a Confluence page.","operationId":"onPageUpdated","parameters":[{"name":"spaceKey","in":"path","description":"the space key of the page","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"the page to re-index","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagePayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseOkString"}}}}}}},"/rest/history-snapshots/{id}/restore":{"post":{"tags":["history-resource"],"summary":"Restore a version of history snapshots.","description":"Restore a version of history snapshots.","operationId":"restoreSingleEntity","parameters":[{"name":"id","in":"path","description":"the history id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"return wrapped true if the history is restored, wrapped false otherwise","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOEntityRestoreResult"}}}}}}},"/rest/history-snapshots/restore":{"post":{"tags":["history-resource"],"operationId":"restoreMultipleEntities","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string","enum":["REQUIREMENT","BASELINED_REQUIREMENT_DETAIL","LINK","EXTERNAL_PROPERTY","MACRO_CONFIGURATION","SAVED_MATRIX","TRANSFORMATION_TEMPLATE"]}},{"name":"date","in":"query","required":false,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOEntityRestoreResult"}}}}}}},"/rest/feature-usage":{"post":{"tags":["feature-usage-resource"],"operationId":"postEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOFeatureUsageRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/rest/external-properties/import":{"post":{"tags":["external-property-resource"],"operationId":"importExternalPropertyValues","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file","template"],"type":"object","properties":{"template":{"$ref":"#/components/schemas/DTOExternalPropertyImportTemplate"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOImportResult"}}}}}}},"/rest/external-properties/import/json":{"post":{"tags":["external-property-resource"],"summary":"Imports external property values from a JSON file encoded in the request.","description":"Imports external property values from a JSON file encoded in the request.\n The JSON file is decoded and processed to update the specified space template with the imported data.\n <i>Waiting for https://community.developer.atlassian.com/t/multipart-form-data-with-forge-remote/79454</i>\n <i>Waiting for https://ecosystem.atlassian.net/browse/FRGE-1387</i>","operationId":"importExternalPropertyValuesAsJson","requestBody":{"description":"the request containing the encoded JSON file and associated template details.\n                Must be a valid {@link DTOExternalPropertyImportRequest DTOExternalPropertyImportRequest}.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOExternalPropertyImportRequest"}}},"required":true},"responses":{"200":{"description":"a {@link DTOImportResult DTOImportResult} containing the results of the import operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOImportResult"}}}}}}},"/rest/external-properties/default":{"post":{"tags":["external-property-resource"],"summary":"Creates the example external properties if they do not already exist.","description":"Creates the example external properties if they do not already exist.","operationId":"createExampleExternalProperties","responses":{"200":{"description":"a list of DTOExternalPropertyMetadata that are example external properties.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOExternalPropertyMetadata"}}}}}}}},"/rest/content-tree/init":{"post":{"tags":["content-tree-resource"],"operationId":"createContentTree","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentTreePayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseNode"},{"$ref":"#/components/schemas/EmbedNode"},{"$ref":"#/components/schemas/ErrorNode"},{"$ref":"#/components/schemas/FolderNode"},{"$ref":"#/components/schemas/PageNode"},{"$ref":"#/components/schemas/RequirementNode"},{"$ref":"#/components/schemas/SpaceNode"},{"$ref":"#/components/schemas/WhiteboardNode"}]}}}}}}},"/rest/content-tree/children":{"post":{"tags":["content-tree-resource"],"operationId":"getChildren","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentTreePayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseNode"},{"$ref":"#/components/schemas/EmbedNode"},{"$ref":"#/components/schemas/ErrorNode"},{"$ref":"#/components/schemas/FolderNode"},{"$ref":"#/components/schemas/PageNode"},{"$ref":"#/components/schemas/RequirementNode"},{"$ref":"#/components/schemas/SpaceNode"},{"$ref":"#/components/schemas/WhiteboardNode"}]}}}}}}},"/rest/content-properties/pages/{pageId}/mark-transform":{"post":{"tags":["content-properties-resource"],"operationId":"markPageTransformation","parameters":[{"name":"pageId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYTransformationProperty"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentProperty"}}}}}}},"/rest/cleanup-tasks/dead-requirement-links":{"post":{"tags":["cleanup-task-resource"],"operationId":"scheduleDeadLinkCleanup","requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DeadLinkMapping"}}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/rest/calculations/parse":{"post":{"tags":["calculation-controller"],"summary":"Parses a calculation formula.","description":"Parses a calculation formula.","operationId":"parseCalculation","requestBody":{"description":"the parse request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationParseRequest"}}},"required":true},"responses":{"200":{"description":"the corresponding expression syntax tree","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/AggregationExpression"},{"$ref":"#/components/schemas/ArithmeticExpression"},{"$ref":"#/components/schemas/BaselineComparisonExpression"},{"$ref":"#/components/schemas/BaselineInParentList"},{"$ref":"#/components/schemas/BaselineInSpaceList"},{"$ref":"#/components/schemas/BinaryNumericFunctionExpression"},{"$ref":"#/components/schemas/BooleanLiteral"},{"$ref":"#/components/schemas/CastExpression"},{"$ref":"#/components/schemas/ColumnAggregationExpression"},{"$ref":"#/components/schemas/ComparisonExpression"},{"$ref":"#/components/schemas/ConditionalExpression"},{"$ref":"#/components/schemas/ConditionalNullExpression"},{"$ref":"#/components/schemas/ConditionalPercentExpression"},{"$ref":"#/components/schemas/FloatLiteral"},{"$ref":"#/components/schemas/FullTextSearchExpression"},{"$ref":"#/components/schemas/Identifier"},{"$ref":"#/components/schemas/InExpression"},{"$ref":"#/components/schemas/InRelationshipBooleanExpression"},{"$ref":"#/components/schemas/IntegerLiteral"},{"$ref":"#/components/schemas/JiraLinkComparisonExpression"},{"$ref":"#/components/schemas/JiraProjectKeyComparisonExpression"},{"$ref":"#/components/schemas/JiraProjectNameComparisonExpression"},{"$ref":"#/components/schemas/LinkComparisonExpression"},{"$ref":"#/components/schemas/LogicalAndExpression"},{"$ref":"#/components/schemas/LogicalNotExpression"},{"$ref":"#/components/schemas/LogicalOrExpression"},{"$ref":"#/components/schemas/PageComparisonExpression"},{"$ref":"#/components/schemas/RelationshipComparisonExpression"},{"$ref":"#/components/schemas/RequirementList"},{"$ref":"#/components/schemas/RuleStatusComparisonExpression"},{"$ref":"#/components/schemas/StatusComparisonExpression"},{"$ref":"#/components/schemas/StringLiteral"},{"$ref":"#/components/schemas/TestCaseLinkComparisonExpression"},{"$ref":"#/components/schemas/UnaryArithmeticExpression"},{"$ref":"#/components/schemas/UnaryNumericFunctionExpression"},{"$ref":"#/components/schemas/VariantComparisonExpression"},{"$ref":"#/components/schemas/VariantInSpaceList"},{"$ref":"#/components/schemas/ExternalPropertyIdentifier"},{"$ref":"#/components/schemas/FieldIdentifier"},{"$ref":"#/components/schemas/PropertyIdentifier"}]}}}}}}},"/rest/calculations/execute":{"post":{"tags":["calculation-controller"],"summary":"Executes a calculation on a given requirement.","description":"Executes a calculation on a given requirement.","operationId":"executeCalculation","requestBody":{"description":"the execution request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationExecuteRequest"}}},"required":true},"responses":{"200":{"description":"the calculation result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCalculationResult"}}}}}}},"/rest/baselines":{"get":{"tags":["baseline-controller"],"summary":"Searches for baselines based on the provided filters.","description":"Searches for baselines based on the provided filters.","operationId":"searchBaseline","parameters":[{"name":"spaceKey","in":"query","description":"the space key to filter by","required":true,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}},{"name":"name","in":"query","description":"filter the results by name","required":false,"schema":{"type":"string"}},{"name":"parentId","in":"query","description":"filter the results by parent identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"exactMatch","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"orderBy","in":"query","description":"the field to order by","required":false,"schema":{"type":"string","default":"id"}},{"name":"orderDirection","in":"query","description":"the direction to order by (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"],"default":"ASC"}}],"responses":{"200":{"description":"the paginated list of baselines","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}}}}},"post":{"tags":["baseline-controller"],"summary":"Creates a new baseline.","description":"Creates a new baseline.","operationId":"createBaseline","requestBody":{"description":"the request body containing the baseline details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"the created baseline","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}}},"/rest/baselines/{id}/requirement-selection":{"get":{"tags":["baseline-controller"],"summary":"View the requirement selection for a baseline.","description":"View the requirement selection for a baseline.","operationId":"viewBaselineRequirementSelection","parameters":[{"name":"id","in":"path","description":"the identifier of the draft baseline","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the list of requirement ids","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineRequirementSelectionResponse"}}}}}},"post":{"tags":["baseline-controller"],"summary":"Creates a requirement selection for a baseline.","description":"Creates a requirement selection for a baseline.","operationId":"createRequirementSelectionForBaseline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request body containing the requirement selection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineRequirementSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineRequirementSelectionResponse"}}}}}},"patch":{"tags":["baseline-controller"],"operationId":"updateRequirementSelectionForBaseline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineRequirementSelectionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineRequirementSelectionResponse"}}}}}}},"/rest/baselines/freeze":{"post":{"tags":["baseline-controller"],"summary":"Creates a freeze job for a baseline.","description":"Creates a freeze job for a baseline.","operationId":"freezeBaseline","requestBody":{"description":"the request body containing the freeze job details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineFreezeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/rest/baselines/freeze/retry":{"post":{"tags":["baseline-controller"],"operationId":"retryFreeze","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOBaselineFreezeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/rest/ai-search":{"post":{"tags":["ai-search-controller"],"operationId":"getSearchQuery","parameters":[{"name":"prompt","in":"query","required":true,"schema":{"maxLength":255,"minLength":0,"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOAISearchResponse"}}}}}}},"/rest/admin/uninstall":{"get":{"tags":["admin-resource"],"operationId":"getUninstallJobs","parameters":[{"name":"jobIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOUninstall"}}}}}}},"post":{"tags":["admin-resource"],"summary":"Creates a new job to uninstall the data from the app\n User clicks and data are removed immediately.","description":"Creates a new job to uninstall the data from the app\n User clicks and data are removed immediately.\n The plugin is still installed","operationId":"deleteAllData","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUninstall"}}}}}}},"/rest/admin/queue-job/{jobId}/cancel":{"post":{"tags":["admin-queue-job-resource"],"summary":"Cancels a job in progress.","description":"Cancels a job in progress.\n This endpoint can only be used by administrators.","operationId":"cancelJob","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/migrations/event":{"post":{"tags":["migration-resource"],"operationId":"postMigrationEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgeMigrationEvent"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/admin/migrations/confluence/transform-bulk":{"post":{"tags":["confluence-migration-resource"],"operationId":"transformPagesListedInSelectedNotifications","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MigrationNotificationSelectionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}},"/rest/admin/migrations/confluence/notifications":{"post":{"tags":["confluence-migration-resource"],"operationId":"createNotificationsFromCQL","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateNotificationsFromCQLRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}},"/rest/adf/convert":{"post":{"tags":["adf-resource"],"summary":"Converts an ADF document into a different format.","description":"Converts an ADF document into a different format.","operationId":"convertAdf","requestBody":{"description":"the ADF document to convert","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAdfConvertRequest"}}},"required":true},"responses":{"200":{"description":"the converted ADF document","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAdfConvertResponse"}}}}}}},"/rest/variants/assigned/{spaceKey}":{"get":{"tags":["variant-resource"],"summary":"Returns the variants where there are at least MIN_NUMBER_REQUIREMENTS","description":"Returns the variants where there are at least MIN_NUMBER_REQUIREMENTS","operationId":"getVariantsWithRequirements","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}}}},"deprecated":true}},"/rest/v2/variant/current/{spaceKey}":{"get":{"tags":["variant-resource-v-2"],"operationId":"findCurrentVariant","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}}},"/rest/v2/variant/assigned/{spaceKey}":{"get":{"tags":["variant-resource-v-2"],"summary":"Returns the variants where there are at least MIN_NUMBER_REQUIREMENTS","description":"Returns the variants where there are at least MIN_NUMBER_REQUIREMENTS","operationId":"getVariantsWithRequirements_1","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":10}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}}}}}},"/rest/testing-integrations/zephyr-scale/enabled":{"get":{"tags":["zephyr-scale-test-resource"],"summary":"Check if the Zephyr Scale integration is enabled by the admin.","description":"Check if the Zephyr Scale integration is enabled by the admin.","operationId":"enabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/templates/{spaceKey}/empty-product-document":{"get":{"tags":["template-resource"],"summary":"Returns a generic template that we have made to help user create requirements.","description":"Returns a generic template that we have made to help user create requirements.","operationId":"getRequirementDocumentTemplate","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageTitle","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/rest/spaces/{id}":{"get":{"tags":["space-resource"],"summary":"Get Confluence space by id (internal use)","description":"Get Confluence space by id (internal use)","operationId":"getSpaceById","parameters":[{"name":"id","in":"path","description":"the space id","required":true,"schema":{"minimum":0,"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the space","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfluenceSpace"}}}}}}},"/rest/spaces/search":{"get":{"tags":["space-resource"],"operationId":"searchSpaces","parameters":[{"name":"partialName","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOApplicationIdSpaceList"}}}}}}}},"/rest/spaces/by-key":{"get":{"tags":["space-resource"],"summary":"Get Confluence space by key (internal use)","description":"Get Confluence space by key (internal use)","operationId":"getSpacesByKey","parameters":[{"name":"keys","in":"query","description":"the space key","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the spaces result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiEntityResultSpace"}}}}}}},"/rest/search":{"get":{"tags":["search-resource"],"summary":"Search requirements with the query string\n ","description":"Search requirements with the query string\n <p>\n Note: page titles are not filled (filled in javascript)","operationId":"search_4","parameters":[{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"includeDeleted","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeMoved","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withExternalProperties","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withJiraData","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withOriginalLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withDependencies","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"variants","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}}}}}},"/rest/search/key-or-description":{"get":{"tags":["search-resource"],"summary":"Search requirements first by key, then by description if no results are found by key","description":"Search requirements first by key, then by description if no results are found by key.\n <p>\n Note: page titles are not filled (filled in avascript)","operationId":"searchByKeyOrDescription","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"variantId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"includeDeleted","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeMoved","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withExternalProperties","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withJiraData","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withOriginalLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withDependencies","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"variants","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}}}}}},"/rest/scroll-variants/search":{"get":{"tags":["scroll-documents-variant-resource"],"operationId":"searchScrollDocuments","parameters":[{"name":"cql","in":"query","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOScrollDocumentsSearchResult"}}}}}}},"/rest/scroll-variants/enabled":{"get":{"tags":["scroll-documents-variant-resource"],"operationId":"isScrollDocumentsEnabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/saved-matrices/trash":{"get":{"tags":["saved-matrix-resource"],"summary":"Finds all deleted saved matrices on the instance.","description":"Finds all deleted saved matrices on the instance.","operationId":"findAllDeletedSavedMatrices","parameters":[{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}}],"responses":{"200":{"description":"the deleted saved matrices","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOSavedMatrix"}}}}}}},"/rest/requirements/rename/status":{"get":{"tags":["requirement-renaming-controller"],"summary":"Retrieves the status of a rename operation","description":"Retrieves the status of a rename operation.\n <p>\n If no batch identifier is provided, retrieves the status of the latest rename operation.\n If a batch identifier is provided, retrieves the status of the specific rename operation.\n </p>","operationId":"getRenameStatus","parameters":[{"name":"spaceKey","in":"query","description":"the space key","required":true,"schema":{"type":"string"}},{"name":"batchId","in":"query","description":"(optional) the batch identifier of the rename operation","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"the status of the rename operation, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORenameStatusResponse"}}}}}}},"/rest/requirements/cross-space/exists":{"get":{"tags":["requirement-controller"],"operationId":"existsInAnotherSpace","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/requirements/count":{"get":{"tags":["requirement-controller"],"operationId":"getRequirementsCount","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"pageIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequirementsPerPage"}}}}}}}},"/rest/requirements/by-key":{"get":{"tags":["requirement-controller"],"operationId":"getRequirementByKey","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":true,"schema":{"type":"string"}},{"name":"pageId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"withExternalProperties","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTORequirement"}}}}}}},"/rest/requirement/{spaceKey}/{key}":{"get":{"tags":["requirement-resource"],"summary":"This method is deprecated, use {@link RequirementController#getRequirementByKey(String, String, Long, Long, boolean) RequirementController#getRequirementByKey(String, String, Long, Long, boolean)} instead.","description":"This method is deprecated, use {@link RequirementController#getRequirementByKey(String, String, Long, Long, boolean) RequirementController#getRequirementByKey(String, String, Long, Long, boolean)} instead.","operationId":"getRequirement","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"variantId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"withExternalProperties","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTORequirement"}}}}},"deprecated":true}},"/rest/requirement/{spaceKey}/{key}/cross-space/exists":{"get":{"tags":["requirement-resource"],"summary":"This endpoint is deprecated, use {@link RequirementController#existsInAnotherSpace(String, String) RequirementController#existsInAnotherSpace(String, String)} instead.","description":"This endpoint is deprecated, use {@link RequirementController#existsInAnotherSpace(String, String) RequirementController#existsInAnotherSpace(String, String)} instead.","operationId":"existsInAnotherSpace_1","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"key","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}},"deprecated":true}},"/rest/requirement/{spaceKey}/count":{"get":{"tags":["requirement-resource"],"summary":"This method is deprecated, use {@link RequirementController#getRequirementsCount(String, List) RequirementController#getRequirementsCount(String, List)} instead.","description":"This method is deprecated, use {@link RequirementController#getRequirementsCount(String, List) RequirementController#getRequirementsCount(String, List)} instead.","operationId":"getRequirementsCount_1","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"pageIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequirementsPerPage"}}}}}},"deprecated":true}},"/rest/requirement-types/{id}/stats":{"get":{"tags":["requirement-type-controller"],"summary":"Returns the validity score for a requirement type.","description":"Returns the validity score for a requirement type.","operationId":"getStats","parameters":[{"name":"id","in":"path","description":"the identifier of the requirement type","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the validity score of the requirement type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementTypeStats"}}}}}}},"/rest/requirement-types/pages/{pageId}":{"get":{"tags":["requirement-type-controller"],"summary":"Finds all invalid requirements on a given page.","description":"Finds all invalid requirements on a given page.","operationId":"getRequirementsWithRequirementTypesFromPage","parameters":[{"name":"pageId","in":"path","description":"the page identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","description":"the space key","required":true,"schema":{"type":"string"}},{"name":"filterByRequirementTypeIds","in":"query","description":"whether to filter requirements belonging to specific requirement types","required":false,"schema":{"type":"boolean","default":false}},{"name":"requirementTypesIds","in":"query","description":"the list of requirement type identifiers","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the list of invalid requirements on the page","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementWithRequirementTypes"}}}}}}}},"/rest/report-macro/export":{"get":{"tags":["report-macro-resource"],"operationId":"exportReportMacro","parameters":[{"name":"queryId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"showTitle","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"showDescription","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"values","in":"query","required":false,"schema":{"type":"string"}},{"name":"contentId","in":"query","required":false,"schema":{"type":"string"}},{"name":"pageId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/rest/queue-job/{jobId}":{"get":{"tags":["queue-job-resource"],"summary":"Retrieves a queue job by its identifier.","description":"Retrieves a queue job by its identifier.","operationId":"getJob_1","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"query","description":"the container identifier of the space","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the queue job if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}},"/rest/queue-job/latest":{"get":{"tags":["queue-job-resource"],"summary":"Finds the latest indexing job of a given page.","description":"Finds the latest indexing job of a given page.","operationId":"getLatestJob","parameters":[{"name":"pageId","in":"query","description":"the page identifier","required":true,"schema":{"type":"string"}},{"name":"spaceKey","in":"query","description":"the space key","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the latest indexing job of the page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}},"/rest/proxy/users":{"get":{"tags":["confluence-user-resource"],"operationId":"findUsers","parameters":[{"name":"cql","in":"query","required":false,"schema":{"type":"string"}},{"name":"start","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sitePermissionTypeFilter","in":"query","required":false,"schema":{"type":"string","default":"none"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchPageResponseSearchResult"}}}}}}},"/rest/proxy/users/{accountId}":{"get":{"tags":["confluence-user-resource"],"operationId":"getUser","parameters":[{"name":"accountId","in":"path","required":true,"schema":{"type":"string"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfluenceUserV1"}}}}}}},"/rest/proxy/settings":{"get":{"tags":["confluence-settings-resource"],"operationId":"getSystemInfo","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemInfoEntity"}}}}}}},"/rest/proxy/search":{"get":{"tags":["confluence-search-resource"],"operationId":"searchByCQL","parameters":[{"name":"cql","in":"query","required":true,"schema":{"type":"string"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":25}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"start","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"next","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"prev","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchPageResponseSearchResult"}}}}}}},"/rest/properties/{spaceKey}":{"get":{"tags":["requirement-properties-resource"],"operationId":"getProperties","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultString"}}}}}}},"/rest/permissions/user/space/{spaceKey}":{"get":{"tags":["permission-resource"],"operationId":"getUserPermissionForSpace","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"permission","in":"query","required":true,"schema":{"type":"string","enum":["ADMINISTER","READ","UPDATE","DELETE","EXPORT","MANAGE_LOOK_AND_FEEL","MANAGE_TEMPLATES","MANAGE_USERS","MANAGE_NONLICENSED_USERS","MANAGE_GUEST_USERS","MANAGE_PUBLIC_LINKS","MANAGE_CONTENT","CREATE_PAGE","CREATE_BLOGPOST","CREATE_COMMENT","CREATE_ATTACHMENT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/sysadmin":{"get":{"tags":["permission-resource"],"operationId":"isSysAdminInstance","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/spaces":{"get":{"tags":["permission-resource"],"operationId":"getAccessibleSpaces","parameters":[{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchPageResponseSearchResult"}}}}}}},"/rest/permissions/space-champion":{"get":{"tags":["permission-resource"],"operationId":"isSpaceChampion","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/customer/enabled":{"get":{"tags":["permission-resource"],"operationId":"isCustomerEnabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/cleancache":{"get":{"tags":["permission-resource"],"summary":"By default, only removes cache for current user.","description":"By default, only removes cache for current user.\n ?allUsers=true remove data for all users for current clientKey","operationId":"cleanCache","parameters":[{"name":"allUsers","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOkString"}}}}}}},"/rest/permissions/champion-group-member":{"get":{"tags":["permission-resource"],"operationId":"isChampionGroupMember","parameters":[{"name":"accountId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/application/space/{spaceKey}":{"get":{"tags":["permission-resource"],"summary":"Returns the permission of the current app for the provided space.","description":"Returns the permission of the current app for the provided space.","operationId":"getAppPermissionsForSpace","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOAppSpacePermission"}}}}}}},"/rest/permissions/admin":{"get":{"tags":["permission-resource"],"operationId":"isAdmin","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/pages":{"get":{"tags":["page-resource"],"operationId":"getPages","parameters":[{"name":"contentIds","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOPage"}}}}}}}},"/rest/pages/{contentId}/child-pages":{"get":{"tags":["page-resource"],"operationId":"getPageChildren","parameters":[{"name":"contentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"limit","in":"query","required":false,"schema":{"maximum":250,"minimum":1,"type":"integer","format":"int32","default":25}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MultiEntityResultChildrenResponse"}}}}}}},"/rest/pages/proxy/{contentId}":{"get":{"tags":["page-resource"],"summary":"Internal use","description":"Internal use","operationId":"getConfluencePageById","parameters":[{"name":"contentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"bodyFormat","in":"query","required":false,"schema":{"type":"string","default":"atlas_doc_format"}},{"name":"getDraft","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"status","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"version","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"includeLabels","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeProperties","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeOperations","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeLikes","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeVersions","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeVersion","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeFavoritedByCurrentUserStatus","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeWebresources","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeCollaborators","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"includeDirectChildren","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePage200Response"}}}}}}},"/rest/key-suggestions/requirement-types":{"get":{"tags":["key-suggestion-resource"],"summary":"Suggests the next requirement key for a given requirement type","description":"Suggests the next requirement key for a given requirement type.\n <p>\n Note: This loads the key suggestions and finds the best match.\n </p>","operationId":"suggestForRequirementType","parameters":[{"name":"spaceKey","in":"query","descr
[...]
